Summary:	The procmail mail processing program
Name:		procmail
Version:	3.22
Release:	%mkrel 23
License:	GPL/Artistic
Group:		System/Servers
URL:		http://www.procmail.org
Source0:	ftp://ftp.procmail.org/pub/procmail/%{name}-%{version}.tar.bz2
Patch1:		%{name}-3.22-lockf.patch
Patch2:		%{name}-3.22-pixelpb.patch
Patch3:		%{name}-3.22-benchmark.patch
# Fix #27484: explictly define sendmail's location as it's not
# installed when we build procmail so it can't detect it - AdamW
# 2008/03 (thanks Snowbat)
Patch4:		procmail-3.22-defsendmail.patch
# patch from fedora
Patch5:		procmail-3.22-getline.patch
Patch6:		procmail-3.22-CVE-2014-3618.patch
Patch7:		procmail-3.22-formail.patch
Provides:	MailTransportAgent

%description
The procmail program is used by %{_vendor} for all local mail
delivery. In addition to just delivering mail, procmail can be used
for automatic filtering, presorting and other mail handling jobs.
Procmail is also the basis for the SmartList mailing list processor.

%prep

%setup -q
%patch1 -p1 -b .lockf
%patch2 -p1 -b .warly
%patch3 -p1 -b .bench
%patch4 -p1 -b .defsendmail
%patch5 -p1 -b .readline
%patch6 -p1 -b .CVE-2014-3618
%patch7 -p1 -b .formail

find . -type d -exec chmod 755 {} \;

%build
echo -n -e "\n"|  %make CFLAGS0="%{optflags}" LDFLAGS0="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/{man1,man5}

make \
    BASENAME=%{buildroot}%{_prefix} \
    install.bin install.man

#move the man pages
mv %{buildroot}/usr/man/man1/* %{buildroot}%{_mandir}/man1/
mv %{buildroot}/usr/man/man5/* %{buildroot}%{_mandir}/man5/

## duplicate in /usr/bin
rm -f examples/mailstat

%files
%doc FAQ HISTORY README KNOWN_BUGS FEATURES examples
%attr(6755,root,mail) %{_bindir}/procmail
%attr(2755,root,mail) %{_bindir}/lockfile
%{_bindir}/formail
%{_bindir}/mailstat
%{_mandir}/man1/*1*
%{_mandir}/man5/*5*




%changelog
* Wed Feb 11 2015 luigiwalser <luigiwalser> 3.22-23.mga5
+ Revision: 814726
- add patch from debian#769937 to fix more issues with parsing addresses

* Wed Oct 15 2014 umeabot <umeabot> 3.22-22.mga5
+ Revision: 750534
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.22-21.mga5
+ Revision: 687789
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 3.22-20.mga5
+ Revision: 672274
- add patch from fedora to fix CVE-2014-3618

* Fri Oct 18 2013 umeabot <umeabot> 3.22-19.mga4
+ Revision: 517684
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.22-18.mga3
+ Revision: 378224
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 21 2011 ahmad <ahmad> 3.22-17.mga1
+ Revision: 100002
- Replace a reference to Mandriva with Mageia

* Sun Jan 23 2011 ennael <ennael> 3.22-16.mga1
+ Revision: 34301
- imported package procmail

